#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeframever	6.16
%define		qtver		6.5.0
%define		kfname		kguiaddons

Summary:	Utilities for graphical user interfaces
Summary(pl.UTF-8):	Narzędzia do graficznych interfejsów użytkownika
Name:		kf6-%{kfname}
Version:	6.16.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	07007e4a3005b7e4cffc624ec965bf03
URL:		https://kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	Qt6WaylandClient-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	libxcb-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	plasma-wayland-protocols-devel >= 1.15.0
BuildRequires:	qt6-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	wayland-devel >= 1.9
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires:	Qt6Core >= %{qtver}
Requires:	Qt6DBus >= %{qtver}
Requires:	Qt6Gui >= %{qtver}
Requires:	Qt6WaylandClient >= %{qtver}
Requires:	kf6-dirs
Requires:	wayland >= 1.9
# will serve also for parallelly installed kf5-kguiaddons
Provides:	kf5-kguiaddons-geo-handler = %{version}-%{release}
Obsoletes:	kf5-kguiaddons-geo-handler < 6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The KDE GUI addons provide utilities for graphical user interfaces in
the areas of colors, fonts, text, images, keyboard input.

%description -l pl.UTF-8
Pakiet dodatków KDE GUI zapewnia narzędzia do graficznych interfejsów
użytkownika w obszarze kolorów, fontów, tekstu, obrazów i wejścia z
klawiatury.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Gui-devel >= %{qtver}
Requires:	cmake >= 3.16

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DBUILD_PYTHON_BINDINGS=OFF \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post

%postun
/sbin/ldconfig
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libKF6GuiAddons.so.*.*.*
%ghost %{_libdir}/libKF6GuiAddons.so.6
%dir %{_libdir}/qt6/qml/org/kde/guiaddons
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/guiaddons/libkguiaddonsqml.so
%{_libdir}/qt6/qml/org/kde/guiaddons/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/guiaddons/kguiaddonsqml.qmltypes
%{_libdir}/qt6/qml/org/kde/guiaddons/qmldir
%{_datadir}/qlogging-categories6/kguiaddons.categories

# geo-handler (common for kf5 and kf6)
%attr(755,root,root) %{_bindir}/kde-geo-uri-handler
%{_desktopdir}/google-maps-geo-handler.desktop
%{_desktopdir}/openstreetmap-geo-handler.desktop
##%{_desktopdir}/qwant-maps-geo-handler.desktop
%{_desktopdir}/wheelmap-geo-handler.desktop

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF6GuiAddons.so
%{_includedir}/KF6/KGuiAddons
%{_libdir}/cmake/KF6GuiAddons
%{_pkgconfigdir}/KF6GuiAddons.pc
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kguiaddons.git;a=log;h=master

* Fri Jul 11 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 70e44eb
- updated to 6.16.0

* Fri Jun 13 2025 Witold Filipczyk <witekfl@poczta.onet.pl> dc351fe
- updated to 6.15.0

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 4599034
- updated to 6.14.0

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> b29afef
- update_desktop_database

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9dc4c46
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6258f31
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> c9572b3
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 2f26e15
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 88f5b84
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 78fc2c7
- updated to 6.8.0

* Mon Oct 21 2024 Jakub Bogusz <qboosh@pld-linux.org> bfb1fe6
- provide kf5-kguiaddons-geo-handler to allow parallel install with kf5-kguiaddons; release 2

* Mon Oct 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 55522d6
- pl

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1582c9f
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 17e0aa4
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b53bd42
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7e0c58e
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4072f64
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> adac9f0
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d62dfd8
- Obsoletes kf5

* Sun May 12 2024 Jan Palus <atler@pld-linux.org> b5ff853
- update deps

